/****************************************************************************/
/*
 * MODULE              JN-AN-1162 JenNet-IP Smart Home
 *
 * DESCRIPTION         IlluminanceScene MIB Declaration
 */
/****************************************************************************/
/*
 * This software is owned by NXP B.V. and/or its supplier and is protected
 * under applicable copyright laws. All rights are reserved. We grant You,
 * and any third parties, a license to use this software solely and
 * exclusively on NXP products [NXP Microcontrollers such as JN5168, JN5164].
 * You, and any third parties must reproduce the copyright and warranty notice
 * and any other legend of ownership on each copy or partial copy of the
 * software.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Copyright NXP B.V. 2014. All rights reserved
 */
/****************************************************************************/

/****************************************************************************/
/***        Macro Definitions                                             ***/
/****************************************************************************/

/****************************************************************************/
/***        Include files                                                 ***/
/****************************************************************************/
/* SDK includes */
#include <jendefs.h>
/* Stack includes */
#include <JIP.h>
#include <AccessFunctions.h>
/* Application common includes */
#include "MibSensor.h"
#include "MibIlluminanceScene.h"
#include "Table.h"

/****************************************************************************/
/***        MIB structure                                                 ***/
/****************************************************************************/
PUBLIC tsMibIlluminanceScene sMibIlluminanceScene;

/****************************************************************************/
/***        MIB declaration                                                ***/
/****************************************************************************/
/* Registering MIB ? */
#if MK_REG_MIB_ILLUMINANCE_SCENE

#define DECLARE_MIB
#include "MibIlluminanceSceneDef.h"

JIP_START_DECLARE_MIB(IlluminanceSceneDef, IlluminanceScene)
JIP_CALLBACK(AddSceneId,	  MibIlluminanceScene_eSetAddSceneId, vGetUint16, 					    &sMibIlluminanceScene.sTemp.u16AddSceneId)
JIP_CALLBACK(DelSceneId,	  MibIlluminanceScene_eSetDelSceneId, vGetUint16, 					    &sMibIlluminanceScene.sTemp.u16DelSceneId)
JIP_CALLBACK(SetScene,		  MibIlluminanceScene_eSetSetScene,	  MibIlluminanceScene_vGetSetScene, &sMibIlluminanceScene.sTemp.sSetScene)
JIP_CALLBACK(SceneTable, 	  NULL, 							  Table_vGetData, 					&sMibIlluminanceScene.sSceneTable)
JIP_END_DECLARE_MIB(IlluminanceScene, hIlluminanceScene)

/* Public MIB handle */
PUBLIC const thJIP_Mib hMibIlluminanceScene = &sIlluminanceSceneMib.sMib;

#else

/* Public MIB handle */
PUBLIC const thJIP_Mib hMibIlluminanceScene = NULL;

#endif

/****************************************************************************/
/***        END OF FILE                                                   ***/
/****************************************************************************/
